## com.mysql.jdbc
Class NetworkResources

    java.lang.Object
      com.mysql.jdbc.NetworkResources

     class NetworkResources

extends java.lang.Object

Constructor Summary
`protected` `NetworkResources(java.net.Socket mysqlConnection, java.io.InputStream mysqlInput, java.io.OutputStream mysqlOutput)`

Method Summary
`protected void` `forceClose()` Forcibly closes the underlying socket to MySQL.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NetworkResources

    protected NetworkResources(java.net.Socket mysqlConnection,
                               java.io.InputStream mysqlInput,
                               java.io.OutputStream mysqlOutput)

Method Detail

### forceClose

    protected final void forceClose()

  Forcibly closes the underlying socket to MySQL.